<?php
require_once '../../init.php';

 if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OA/Creative/File.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Creative/File.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/max/other/common.php';
require_once MAX_PATH . '/lib/max/other/html.php';
require_once MAX_PATH . '/lib/OA/Admin/UI/component/Form.php';
require_once MAX_PATH . '/lib/OA/Maintenance/Priority.php';

require_once LIB_PATH . '/Plugin/Component.php';

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

// Create a new option object for displaying the setting's page's HTML form
$oOptions = new OA_Admin_Option('settings');
$prefSection = "real-time";

// Prepare an array for storing error messages
$aErrormessage = array();

if (isset($_POST['submitok']) && $_POST['submitok'] == 'true') {
	$realtime = empty($_POST['realtime']) ? 0 : 1;
	$res = OA_Dal_Delivery_query("update oxm_realtime set realtime =".$realtime." ");
}

// Set the correct section of the settings pages and display the drop-down menu
$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel($title);
phpAds_PageHeader('account-settings-index', $oHeaderModel);

$query = OA_Dal_Delivery_query("select * from oxm_realtime");
$row = OA_Dal_Delivery_fetchAssoc($query);

$aSettings = array(
   array (
        'text'    => 'Real Time Statistics Settings',
        'items'   => array (
				    array (
					'type'    => 'checkbox',
					'name'    => 'realtime',
					'text'    => 'Show Statistics Reports With Real Time',
					'value'   => $row['realtime']
				    )
			  )
	 )

);

$oOptions->show($aSettings, $aErrormessage);

//$oOptions->show($aSettings, null);

phpAds_PageFooter();

?>
